﻿/*
Keybreeze Desktop
Copyright © 2021 Keybreeze LLC

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.If not, see<http://www.gnu.org/licenses/>.
*/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Keybreeze
{
    public partial class frmAbout : Form
    {
        frmMain frmMain_instance;

        public frmAbout(frmMain parent)
        {
            InitializeComponent();
            frmMain_instance = parent;
        }

        private void cmdClose_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void label1_Click(object sender, EventArgs e)
        {
            frmMain_instance.RunURL("https://www.keybreeze.com/donate?from=keybreeze_desktop");
        }

        private void chkUpdate_Click(object sender, EventArgs e)
        {
            //frmMain_instance.RunURL("http://www.keybreeze.com/updates/40Beta6.htm");
            frmMain_instance.RunURL("https://keybreeze.com/download/releasenotes/keybreeze?version=" + Globals.version_numeric);
        }

        private void frmAbout_Load(object sender, EventArgs e)
        {
            lblVersion.Text = "Keybreeze Desktop " + Globals.version_string;
        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {

        }
    }
}
