﻿/*
Keybreeze Desktop
Copyright © 2021 Keybreeze LLC

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.If not, see<http://www.gnu.org/licenses/>.
*/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Keybreeze
{
    public partial class frmInputBox : Form
    {
        public string action = "";
        public IntPtr sample_IntPtr;
        //Form form_instance;
        //public frmInputBox(Form parent)
        public frmInputBox()
        {
            InitializeComponent();
        }

        private void frmInputBox_Load(object sender, EventArgs e)
        {
            
        }

        private void btnOk_Click(object sender, EventArgs e)
        {
            if (action == "make window translucent")
            {
                string the_text;
                if (txtInput.Text.Substring(txtInput.Text.Length - 1) == "%")
                    the_text = txtInput.Text.Substring(0, txtInput.Text.Length - 1);
                else
                    the_text = txtInput.Text;
                Globals.MakeWindowTranslucent(sample_IntPtr, Convert.ToInt32(the_text));
            }
            else if (action == "undo set window on top")
            {
                IntPtr emptyIntPtr = IntPtr.Zero;
                Globals.SetWindowOnTop(emptyIntPtr, true, txtInput.Text);
            }
            this.Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
